Package com.io7m.idstore.protocol.user

# Record Class IdUCommandEmailRemoveDeny

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.IdUCommandEmailRemoveDeny

Record Components:
  `token` - The token

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`, `IdProtocolMessageType`, `IdUCommandType<IdUResponseEmailRemoveDeny>`, `IdUMessageType`

public record IdUCommandEmailRemoveDeny(IdToken token) extends Record implements IdUCommandType<IdUResponseEmailRemoveDeny>
A request to deny the removal of an email address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUCommandEmailRemoveDeny(IdToken token)`
  A request to deny the removal of an email address.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<IdUResponseEmailRemoveDeny>`
  `responseClass()`
  `IdToken`
  `token()`
  Returns the value of the `token` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUCommandEmailRemoveDeny

    public IdUCommandEmailRemoveDeny(IdToken token)
    A request to deny the removal of an email address.
    Parameters:
      `token` - The token

- ## Method Details

  - ### responseClass

    public Class<IdUResponseEmailRemoveDeny> responseClass()
    Specified by:
      `responseClass` in interface `IdUCommandType<IdUResponseEmailRemoveDeny>`
    Returns:
      The response class associated with a successful command execution

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### token

    public IdToken token()
    Returns the value of the `token` record component.
    Returns:
      the value of the `token` record component